/*
 * Copyright (c) 2011, Felix Opatz
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * * Redistributions of source code must retain the above copyright notice,
 *   this list of conditions and the following disclaimer.
 * * Redistributions in binary form must reproduce the above copyright
 *   notice, this list of conditions and the following disclaimer in the
 *   documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*
 * boarddef.h -- definitions for the
 * ATMEL Evaluations-Board (Art. Nr. 810 074)
 * from Pollin Electronic (www.pollin.de)
 *
 */

#ifndef BOARDDEF_H
#define BOARDDEF_H

/* Crystal frequency in Hertz */
#define BOARD_XTAL_FREQ     16000000UL

/* Button 1 */
#define BOARD_BTN1_PIN      PD2
#define BOARD_BTN1_IREG     PIND
#define BOARD_BTN1_OREG     PORTD
#define BOARD_BTN1_DREG     DDRD

/* Button 2 */
#define BOARD_BTN2_PIN      PD3
#define BOARD_BTN2_IREG     PIND
#define BOARD_BTN2_OREG     PORTD
#define BOARD_BTN2_DREG     DDRD

/* Button 3 */
#define BOARD_BTN3_PIN      PD4
#define BOARD_BTN3_IREG     PIND
#define BOARD_BTN3_OREG     PORTD
#define BOARD_BTN3_DREG     DDRD

/* LED 1 */
#define BOARD_LED1_PIN      PD5
#define BOARD_LED1_IREG     PIND
#define BOARD_LED1_OREG     PORTD
#define BOARD_LED1_DREG     DDRD

/* LED 2 */
#define BOARD_LED2_PIN      PD6
#define BOARD_LED2_IREG     PIND
#define BOARD_LED2_OREG     PORTD
#define BOARD_LED2_DREG     DDRD

/* Buzzer */
#define BOARD_BUZZ_PIN      PD7
#define BOARD_BUZZ_IREG     PIND
#define BOARD_BUZZ_OREG     PORTD
#define BOARD_BUZZ_DREG     DDRD

#endif
